- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- w
- z
- ~

### - i -

- inCentre() : geos::geom::Triangle
- indexOf() : geos::geom::CoordinateSequence
- init() : geos::geom::Envelope
- insert() : geos::geomgraph::EdgeEndStar , geos::index::quadtree::Quadtree , geos::index::quadtree::Root , geos::index::SpatialIndex , geos::index::strtree::AbstractSTRtree , geos::index::strtree::STRtree , geos::geomgraph::DirectedEdgeStar , geos::operation::relate::EdgeEndBundleStar
- insertEdgeEnd() : geos::geomgraph::EdgeEndStar
- insertUniqueEdge() : geos::operation::overlay::OverlayOp
- instance() : geos::geom::CoordinateArraySequenceFactory
- interpolateZ() : geos::algorithm::LineIntersector
- intersection() : geos::algorithm::HCoordinate , geos::geom::Envelope , geos::geom::Geometry , geos::geom::LineSegment , geos::precision::CommonBitsOp , geos::precision::EnhancedPrecisionOp
- IntersectionFinderAdder() : geos::noding::IntersectionFinderAdder
- IntersectionMatrix() : geos::geom::IntersectionMatrix
- intersects() : geos::geom::Envelope , geos::geom::Geometry , geos::index::strtree::AbstractSTRtree::IntersectsOp , geos::algorithm::PointLocator , geos::geom::Envelope
- isAnyNull() : geos::geomgraph::TopologyLocation
- isCCW() : geos::algorithm::CGAlgorithms
- isContains() : geos::geom::IntersectionMatrix
- isCoveredBy() : geos::geom::IntersectionMatrix
- isCoveredByA() : geos::operation::overlay::OverlayOp
- isCoveredByLA() : geos::operation::overlay::OverlayOp
- isCovers() : geos::geom::IntersectionMatrix
- isCrosses() : geos::geom::IntersectionMatrix
- isDisjoint() : geos::geom::IntersectionMatrix
- isDone() : geos::noding::SegmentIntersector , geos::noding::SingleInteriorIntersectionFinder
- isEmpty() : geos::geom::CoordinateArraySequence , geos::geom::CoordinateSequence , geos::geom::Geometry , geos::geom::GeometryCollection , geos::geom::LineString , geos::geom::Point , geos::geom::Polygon
- isEquals() : geos::geom::IntersectionMatrix
- isEquivalentClass() : geos::geom::Geometry
- isFloating() : geos::geom::PrecisionModel
- isHole() : geos::operation::polygonize::EdgeRing
- isHorizontal() : geos::geom::LineSegment
- isInHalfPlane() : geos::geomgraph::Quadrant
- isInList() : geos::operation::polygonize::EdgeRing
- isInsideArea() : geos::operation::distance::GeometryLocation
- isInterior() : geos::noding::SegmentNode
- isInteriorAreaEdge() : geos::geomgraph::DirectedEdge
- isInteriorIntersection() : geos::algorithm::LineIntersector
- isIntersection() : geos::algorithm::LineIntersector
- isIntersects() : geos::geom::IntersectionMatrix
- isLineEdge() : geos::geomgraph::DirectedEdge
- isMarked() : geos::planargraph::GraphComponent
- isNorthern() : geos::geomgraph::Quadrant
- isNull() : geos::geom::Envelope , geos::geomgraph::TopologyLocation
- isOnLine() : geos::algorithm::CGAlgorithms
- isOpposite() : geos::geomgraph::Quadrant
- isOverlaps() : geos::geom::IntersectionMatrix
- isPointInRing() : geos::algorithm::CGAlgorithms
- isProper() : geos::algorithm::LineIntersector
- isRectangle() : geos::geom::Geometry , geos::geom::Polygon
- isResultOfOp() : geos::operation::overlay::OverlayOp
- isSameSignAndNonZero() : geos::algorithm::LineIntersector
- isSequenceable() : geos::operation::linemerge::LineSequencer
- isSequenced() : geos::operation::linemerge::LineSequencer
- isSimple() : geos::geom::MultiPoint , geos::geom::MultiLineString , geos::geom::LinearRing , geos::geom::Polygon , geos::geom::Point , geos::geom::LineString , geos::geom::MultiPolygon , geos::geom::Geometry , geos::geom::GeometryCollection
- isTouches() : geos::geom::IntersectionMatrix
- isValid() : geos::operation::valid::IsValidOp , geos::noding::FastNodingValidator , geos::operation::polygonize::EdgeRing , geos::geom::Geometry
- isVertical() : geos::geom::LineSegment
- isVisited() : geos::planargraph::GraphComponent
- isWithin() : geos::geom::IntersectionMatrix
- isWithinDistance() : geos::geom::Geometry
- iterator() : geos::planargraph::DirectedEdgeStar , geos::planargraph::NodeMap